<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
echo(" Operador: $nomeOperador<br>");

switch ($tela):
    case 'incluir':
	    $duplicado = FALSE;
        echo '<h2>Cadastro de cooperantes</h2>';
        if (isset($_POST['cadastrar'])):
            $user = new cooperantes(array(
                'cop_nome'=>$_POST['nome'],
                'cop_apelido'=>$_POST['nome'],
                'cop_email'=>$_POST['email'],
                'cop_email'=>$_POST['email'],
                'cop_municipio'=>$_POST['municipio'],
                'cop_endereco'=>$_POST['endereco'],
                'cop_localidade'=>$_POST['localidade'],
                'cop_fone'=>$_POST['fone'],
                'cop_cpf'=>$_POST['cpf'],

            ));
            //aqui confere para ver se ja tem o email mas poderia testar outras coisas para evitar 
			//duplicação mas pode ter duplicado pois 2 lab s podem analisar par ao memso remetente
            if ($user->existeRegistro('email',$_POST['email'])):
               // printMSG('Este email já está cadastrado, escolha outro endereço.','erro');
                //$duplicado = TRUE;
            endif;
			//echo("duplicado = $duplicado <br>");
            if ($duplicado!=TRUE):
                 $user->inserir($user);
                 $jaco=$user->linhasafetadas;//aqui ele ja me traz o id do cliente. pode ser que eu va precisar isso!!!!
			     //echo("duplicado = $duplicado  jaco=$jaco <br>");
                if ($user->linhasafetadas>0):
                    printMSG('Dados inseridos com sucesso. <a href="'.ADMURL.'?m=cooperantes&t=listar">Exibir cadastros</a>');
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       nome:{required:true, minlength:3},
                       email:{required:true, email:true},
                       login:{required:true, minlength:5},
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe os dados para cadastro</legend>
                <ul>
                      <ul>
                    <li>Nome:<input type="text" size="50" name="nome" maxlength="60"    autofocus="autofocus" value="<?php if($resbd) echo $resbd->cop_nome; ?>" />
					Nome:<input type="text" size="20" name="apelido" maxlength="15"    autofocus="autofocus" value="<?php if($resbd) echo $resbd->cop_apelido; ?>" />
					
                    CPF/CNPJ:<input type="text" size="10" name="cnpj" maxlength="20"  value="<?php if($resbd) echo $resbd->cop_cpf; ?>" /></li>
                   
				    <li>Endereço:<input type="text" size="40" name="endereco" maxlength="80"  value="<?php if($resbd) echo $resbd->cop_endereco; ?>" />
				    Localidade:<input type="text" size="40" name="localidade" maxlength="50"  value="<?php if($resbd) echo $resbd->cop_localidade; ?>" /></li>
				   
				    <li>Municipio: <input type="text" size="50" name="municipio" maxlength="60"  value="<?php if($resbd) echo $resbd->cop_municipio; ?>" />
				    Tel:<input type="text" size="10" name="fone" maxlength="20"  value="<?php if($resbd) echo $resbd->cop_fone; ?>" />
				    <li>e-mail:<input type="text" size="35" name="email" maxlength="80"  value="<?php if($resbd) echo $resbd->cop_email; ?>" /></li>

                    <li class="center"><input type="button" onclick="location.href='?m=cooperantes&t=listar'" value="Cancelar" /><input type="submit" name="cadastrar" value="Salvar dados" /></li>
                </ul>
            </fieldset>
        </form>
        <?php
        break;


    case 'listar':
        echo '<h2>Cooperantes cadastrados</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "200px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th>
					<th>Comandos</th>
					<th>cpf/cnpj</th>
					<th>email</th>
					<th>telefone</th>
                </tr>
            </thead>
            <tbody>
                <?php 
				$xml = "<?xml version='1.0' encoding='UTF-8'?>n";//cabeçalho do arquivo
				       $xml .= "<Newsletter> n";

                $user = new cooperantes();
				$user->extras_select = "WHERE cop_id>0 order by cop_nome ";
                $user->selecionaTudo($user);
                $contador=0;
                while ($res = $user->retornaDados()):
                    $contador++;           
     				echo '<tr>';
                    printf('<td>%s</td>',$res->cop_nome);
                    printf('<td class="center">
					<a href="?m=cooperantes&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a>
					 <a href="?m=cooperantes&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					  </td>',$res->cop_id,$res->cop_id);
              
                    printf('<td>%s</td>',$res->cop_cpf);
                    printf('<td>%s</td>',$res->cop_email);
                    printf('<td>%s</td>',$res->cop_fone);
        echo '</tr>';
					endwhile;                
	            ?>
            </tbody>
        </table>
		     <!-- SE NAO TEM CLIENTE ALGUM ELE DEVE PODER INSERIR O PRIMEIRO, POIS NAO TEM O SINAL DE + E NAO TEM COMO INSERIR O PRIMEIRO ISSO ABRE UMA FORMA MAS SO APARECE SE NAO TEM NENHUM   -->
             <?php if($contador==0):?>	
		        <form class="userform" method="post" action="">
                <fieldset>
                    <ul>
                    <li class="center">	<input type="button" onclick="location.href='?m=cooperantes&t=incluir'" value="Incluir o primeiro" /></li>
                    </ul>
                </fieldset>
            </form>
			<?php endif; ?>

        <?php        
    break;


    case 'editar':
        echo '<h2>Edição de cooperantes</h2>';
        $sessao = new sessao();
        if (isAdmin()==TRUE || $sessao->getVar('iduser')==$_GET['id']):
            if (isset($_GET['id'])):
                $id = $_GET['id'];
				echo("162 id=$id<br>");
                if (isset($_POST['editar'])):
                    $user = new cooperantes(array(
                        'cop_nome'=>$_POST['nome'],
                        'cop_apelido'=>$_POST['nome'],
                        'cop_email'=>$_POST['email'],
                        'cop_municipio'=>$_POST['municipio'],
                        'cop_endereco'=>$_POST['endereco'],
                        'cop_localidade'=>$_POST['localidade'],
                        'cop_fone'=>$_POST['fone'],
                        'cop_cpf'=>$_POST['cpf'],
                    ));
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE cop_id=".$id;
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    if ($res->email != $_POST['email']):
                        if ($user->existeRegistro('email',$_POST['email'])):
                           // printMSG('Este email já existe no sistema, escolha outro endereço!','erro');
                           // $duplicado = TRUE;
                        endif;
                    endif;
                    if ($duplicado!=TRUE):
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. <a href="?m=cooperantes&t=listar">Exibir cadastros</a>');
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado. <a href="?m=cooperantes&t=listar">Exibir cadastros</a>','alerta');
                        endif;
                    endif;                    
                endif;
                $userbd = new cooperantes();
                $userbd->extras_select = "WHERE cop_id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('cliente não definido, <a href="?m=cooperantes&t=listar">escolha um cliente para alterar</a>','erro');
            endif;
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           nome:{required:true, minlength:3},
                           email:{required:true, email:true},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                    <ul>
                    <li>Nome<input type="text" size="60" maxlength="80" name="nome" autofocus="autofocus" value="<?php if($resbd) echo $resbd->cop_nome; ?>" />
                    Apelido<input type="text" size="15" name="apelido" maxlength="15"  value="<?php if($resbd) echo $resbd->cop_apelido; ?>" /></li>
                    CPF/CNPJ<input type="text" size="15" name="cpf"  maxlength="20"  value="<?php if($resbd) echo $resbd->cop_cpf; ?>" /></li>
                   
				    <li>Endereço:<input type="text" size="80"  maxlength="100"  name="endereco" value="<?php if($resbd) echo $resbd->cop_endereco; ?>" /></li>
				    <li>Localidade:<input type="text" size="80"  maxlength="100"  name="localidade" value="<?php if($resbd) echo $resbd->cop_localidade; ?>" /></li>
				   
				    <li>Municipio: <input type="text" size="60"   maxlength="60" name="municipio" value="<?php if($resbd) echo $resbd->cop_municipio; ?>" />
				    Tel:<input type="text" size="10" name="fone"  maxlength="20"  value="<?php if($resbd) echo $resbd->cop_fone; ?>" />

				    <li>Email:<input type="text" size="45"  maxlength="60"  name="email" value="<?php if($resbd) echo $resbd->cop_email; ?>" /></li>
                    <li class="center">
					<input type="button" onclick="location.href='?m=cooperantes&t=listar'" value="Cancelar" />
					<input type="submit" name="editar" value="Salvar Alterações" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;
    case 'excluir':
        echo '<h2>Exclusão de cooperantes</h2>';
        $sessao = new sessao();
        if (isAdmin()==TRUE):
            if (isset($_GET['id'])):
                $id = $_GET['id'];
                if (isset($_POST['excluir'])):
                    $user = new cooperantes();
                    $user->valorpk = $id;
                    $user->deletar($user);
                    if ($user->linhasafetadas==1):
                        printMSG('Registro excluído com sucesso. <a href="?m=cooperantes&t=listar">Exibir cadastros</a>');
                        unset($_POST);
                    else:
                        printMSG('Nenhum registro foi excluído. <a href="?m=cooperantes&t=listar">Exibir cadastros</a>','alerta');
                    endif;                   
                endif;
                $userbd = new cooperantes();
                $userbd->extras_select = "WHERE id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('cliente não definido, <a href="?m=cooperantes&t=listar">escolha um cliente para excluir</a>','erro');
            endif;
            ?>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Confira os dados para exclusão</legend>
                    <ul>
                        <li><label for="nome">Nome:</label>
                        <input type="text" disabled="disabled" size="50" name="nome" value="<?php if($resbd) echo $resbd->nome; ?>" /></li>
                        <li><label for="email">Email:</label>
                        <input type="text" disabled="disabled" size="50" name="email" value="<?php if($resbd) echo $resbd->email; ?>" /></li>
                        <li><label for="login">Login:</label>
                        <input type="text" disabled="disabled" size="35" name="login" value="<?php if($resbd) echo $resbd->login; ?>" /></li>
                        <li><label for="ativo">Ativo:</label>
                        <input type="checkbox" disabled="disabled" name="ativo" <?php if($resbd->ativo == 's') echo 'checked="checked"'; ?> /> habilitar ou desabilitar o cliente</li>
                        <li><label for="adm">Administrador:</label>
                        <input type="checkbox" disabled="disabled" name="adm" <?php if($resbd->administrador == 's') echo 'checked="checked"'; ?> /> dar controle total ao cliente</li>
                        <li class="center"><input type="button" onclick="location.href='?m=cooperantes&t=listar'" value="Cancelar" /><input type="submit" name="excluir" value="Confirmar Exclusão" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>